## globs 0.2.0~svn50

=== SConstruct ===
import os

# Install directories
root = ARGUMENTS.get('root', '/')
prefix = ARGUMENTS.get('prefix', 'usr/local')
if root != '' and prefix != '': # not defaults
	if prefix[0] == '/':
		prefix = prefix[1:]

install_dir = os.path.join(root, prefix, 'share/globs/benchmarks')
locale_dir = os.path.join(root, prefix, 'share/locale')

# run sub scripts
Export('install_dir', 'locale_dir')
dirs = ('src/benchmarks', 'po')

for x in dirs:
    SConscript(os.path.join(x, 'SConstruct'))
