=== src/benchmarks/GLSL_parallax/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags` -I/usr/X11R6/include
LDFLAGS = `sdl-config --libs` -lGL -L/usr/X11R6/lib -lSDL_image
RM   = /bin/rm -f

.PHONY: clean
all: glsl_parallax
glsl_parallax: main.o init.o textfile.o extra.o
	$(LD) $(LDFLAGS) -o glsl_parallax main.o init.o textfile.o extra.o
main.o: main.c
	$(CC) $(CFLAGS) -c main.c
init.o: init.h init.c
	$(CC) $(CFLAGS) -c init.c
textfile.o: textfile.h textfile.c
	$(CC) $(CFLAGS) -c textfile.c
extra.o: extra.h extra.c
	$(CC) $(CFLAGS) -c extra.c
clean:
	$(RM) *~ init.o textfile.o extra.o main.o glsl_parallax
