=== src/benchmarks/GL_blit/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags` -I/usr/X11R6/include
LDFLAGS = `sdl-config --libs` -lSDL_image -lGL
RM   = /bin/rm -f

.PHONY: clean
all: gl_blit gl_blit_ext
gl_blit: gl_blit.o
	$(LD) $(LDFLAGS) -o gl_blit gl_blit.o
gl_blit.o: gl_blit.c gl_blit.h
	$(CC) $(CFLAGS) -c gl_blit.c
gl_blit_ext: gl_blit_ext.o
	$(LD) $(LDFLAGS) -o gl_blit_ext gl_blit_ext.o
gl_blit_ext.o: gl_blit_ext.c gl_blit_ext.h
	$(CC) $(CFLAGS) -c gl_blit_ext.c
clean:
	$(RM) *~ gl_blit.o gl_blit_ext.o gl_blit gl_blit_ext
