=== src/benchmarks/GL_pointz/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags`
LDFLAGS = `sdl-config --libs` -lGL
RM   = /bin/rm -f

.PHONY: clean
all: gl_pointz
gl_pointz: gl_pointz.o
	$(LD) $(LDFLAGS) -o gl_pointz gl_pointz.o
gl_pointz.o: gl_pointz.c
	$(CC) $(CFLAGS) -c gl_pointz.c
clean:
	$(RM) *~ gl_pointz.o gl_pointz
