=== src/benchmarks/GL_smoke/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags`
LDFLAGS = `sdl-config --libs` -lSDL_image -lGL
RM   = /bin/rm -f

.PHONY: clean
all: gl_smoke
gl_smoke: gl_smoke.o particle.o
	$(LD) $(LDFLAGS) -o gl_smoke gl_smoke.o particle.o
gl_smoke.o: gl_smoke.c particle.h
	$(CC) $(CFLAGS) -c gl_smoke.c
particle.o: particle.c
	$(CC) $(CFLAGS) -c particle.c
clean:
	$(RM) *~ particle.o gl_smoke.o gl_smoke
