=== debian/changelog ===
globs (0.2.0~svn50-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ TANIGUCHI Takaki ]
  * debian/patches/0004-Force-prototypes.patch: Fix segmentation
    fault. (Closes: #913174)
  * Bump Stanrads-Version to 4.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 09 Nov 2018 11:14:52 +0900

globs (0.2.0~svn50-5) unstable; urgency=medium

  * Bump Stanrads-Version to 4.1.5
  * debian/compat: 11
  * d/control:
    - Move Vcs-* to salsa.d.o.
    - add dh-python to B-D.
    - Change priority to optional
  * debian/menu: Removed.
  * d/patches/00003-Add-debug-option: Build with debug option.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jul 2018 15:15:59 +0900

globs (0.2.0~svn50-4) unstable; urgency=low

  * debian/control:
    + Add python-all to B-D.
    + Add VCS-* fields.
  * debian/rules: Add option '--with python2'. (Closes: #654997)
  * debian/copyright: Update Format URI.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Mar 2012 11:01:47 +0900

globs (0.2.0~svn50-3) unstable; urgency=low

  * control: Add python-glade2 to Depends. (Closes: #637409)
  * Bump Standards-Version to 3.9.2.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 11 Aug 2011 21:14:13 +0900

globs (0.2.0~svn50-2) unstable; urgency=low

  * debian/control: add scons to Build-Depends. (Closes: #620265)
  * debian/control: add libsdl1.2-dev to BD.
  * debian/patches/add_libm: Add to link with libm.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 16:52:25 +0900

globs (0.2.0~svn50-1) unstable; urgency=low

  * Initial release (Closes: #510453)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 20 Jan 2011 22:23:04 +0900
