=== debian/control ===
Source: globs
Section: x11
Priority: optional
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 11),
	dh-python,
	scons,
	libsdl1.2-dev,
	libsdl-image1.2-dev,
	python-all
Standards-Version: 4.2.1
Homepage: http://globs.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/globs.git
Vcs-Browser: https://salsa.debian.org/debian/globs

Package: globs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
	python, python-glade2
Description: GL Open Benchmark Suite
 GL O.B.S. is based around a PyGTK interface that launches OpenGL programs
 feeding them with a common CLI options set which will affect their
 behavior, then receives back their statistical output.
 .
 It aims to provide a 3D benchmarking utility to the Linux users.
