=== debian/watch ===
version=3
https://sf.net/globs/globs-(.*)\.tar\.gz
